A=round(rand(3)*4+1)
X=zeros(1,3);
X(1)=prod(diag(fliplr(A),1).*diag(fliplr(A),-1));
X(2)=sum(sum(A));
X(3)=max(A([1,3],2));
y1 = length(find(A<3));
y2 = min(diag(A));
y3 = sum(A(2,:));
y = [y1 y2 y3]
z= X.*y
B = (X*y').*ones(length(y)+2);
B(end-1:-1:2,2:end-1)=diag(z)